起因

最近发现QQ登录SDK sdk-Lite3.3.8 TencentOpenAPI 在部分手机上会崩溃到初始化位置_tencentOAuth = [[TencentOAuth alloc] initWithAppId:appid andDelegate:self];,

比如:iPhone6p 版本12.5.4,iPhone8p 版本14.1,iPad版本12.5.6

但是在iPhone 12以上的手机都没遇到这个问题

所以怀疑是QQ 登录 SDK版本太低了,准备升级一下试试

过程

下载的最新的QQ 登录 SDK 版本是 sdk-Lite3.5.14.241

但是替换了原来的SDK后回报很多错:如图

但是确定工程中没有添加过其他的QQ登录SDK,网上也是各种方法都试了,都不行

解决

最后将#import 替换成 #import

错误消失了(哭笑不得)

意外

虽然可以跑了,但是QQ登录依然是崩溃,看来不是 QQ SDK 版本问题,但是iOS 14以上的版本,QQ 登录 SDK不能不支持吧。 然后又跑了QQ 登录的demo,本想发现点问题,意外的是demo在我的测试机上依然是崩溃的,崩溃的位置依然是_tencentOAuth = [[TencentOAuth alloc] initWithAppId:appid andDelegate:self];,看来应该是QQ的问题了,目前分析暂时就是这样了,如果有知道的大神请指导。

推荐链接

评论可见,请评论后查看内容,谢谢!!!
 您阅读本篇文章共花了: